> ## Documentation Index
> Fetch the complete documentation index at: https://docs.easystreetoffers.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Respond to Counter Offer

> Respond to an offer.



## OpenAPI

````yaml patch /counter-offers/{counter_offer_id}
openapi: 3.0.1
info:
  title: OpenAPI ESO
  description: ESO
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://v2.easystreetoffers.com/api/v2
security:
  - ApiKeyAuth: []
paths:
  /counter-offers/{counter_offer_id}:
    patch:
      description: Respond to an offer.
      parameters:
        - name: limit
          in: query
          description: The maximum number of results to return
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: Offers response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/offers'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    offers:
      required:
        - offer_amount
      type: object
      properties:
        offer_id:
          type: integer
          format: bigint
        buyer_id:
          type: string
          format: uuid
        offer_request_id:
          type: integer
          format: bigint
        created_at:
          type: string
          format: timestamp with time zone
          description: timestamp with time zone
          default: now()
        offer_amount:
          type: integer
          format: bigint
        offer_expires:
          type: string
          format: timestamp with time zone
          description: timestamp with time zone
        buyer_pays_buyer_broker_commission:
          type: boolean
          format: boolean
          description: >-
            If true, buyer pays the buyer broker commission equal to 3% of the
            offer amount. If false, seller will pay the buyer broker commission
            equal to 3% of the offer amount.
        buyer_pays_listing_broker_commission:
          type: boolean
          format: boolean
          description: >-
            If true, buyer pays the listing broker commission set by the agent.
            If false, seller will pay listing agent commission.
        buyer_broker_commission_pct:
          type: number
          format: numeric
        buyer_broker_commission_amt:
          type: integer
          format: bigint
        listing_broker_commission_pct:
          type: number
          format: numeric
        listing_broker_commission_amt:
          type: integer
          format: bigint
        net_proceeds_to_seller:
          type: integer
          format: bigint
        net_cost_to_buyer:
          type: integer
          format: bigint
        offer_memo:
          type: string
          format: text
        offer_status:
          type: string
          format: text
          example: 'true'
        additional_terms:
          type: object
          format: jsonb
        earnest_money:
          type: integer
          format: integer
        em_hard_post_inspection:
          type: boolean
          format: boolean
        lease_back:
          type: boolean
          format: boolean
        lease_back_period:
          type: integer
          format: integer
        flexible_closing:
          type: boolean
          format: boolean
        post_possession:
          type: boolean
          format: boolean
        waive_warranty:
          type: boolean
          format: boolean
        inspection_period:
          type: integer
          format: integer
        post_possession_period:
          type: integer
          format: integer
        offer_is_counter_offer:
          type: boolean
          format: boolean
        offer_type:
          type: string
          description: >-
            The category of offer. Options include: 'quality_cash', 'auto_cash',
            'cash', 'mls', 'ibuyer', 'custom', 'instant', and 'instant_premier'.
        offer_decided_at:
          type: string
          format: timestamp with time zone
          description: timestamp with time zone
        offer_internal_memo:
          type: string
        test:
          type: boolean
          format: boolean
          description: set to true s
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````